import 'dart:async';

import 'package:flutter/services.dart';

class AgoraScreenShare {
  static const MethodChannel _channel =
  const MethodChannel('agora_screen_share');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String?> startScreenShare(String appId, String token,
      String channelName, int uid) async {
    final String? version = await _channel.invokeMethod('startScreenShare', {
      'appId': appId, 'token': token, 'channelName': channelName, 'uid': uid
    });
    return version;
  }

  static Future<String?> stopScreenShare() async {
    final String? version = await _channel.invokeMethod('stopScreenShare');
    return version;
  }
}
